## org.biojava.bio.program.homologene
Class OrthoPairSetFilter.ByTaxon

    java.lang.Object
      org.biojava.bio.program.homologene.OrthoPairSetFilter.ByTaxon

All Implemented Interfaces:
  OrthoPairSetFilter

Enclosing interface:
  OrthoPairSetFilter

    public static final class OrthoPairSetFilter.ByTaxon

extends Object
implements OrthoPairSetFilter

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.program.homologene.OrthoPairSetFilter
`OrthoPairSetFilter.AcceptAll, OrthoPairSetFilter.AllPairsInCollection, OrthoPairSetFilter.And, OrthoPairSetFilter.ByMinIdentity, OrthoPairSetFilter.ByTaxon, OrthoPairSetFilter.Not, OrthoPairSetFilter.Or, OrthoPairSetFilter.SomePairsInCollection, OrthoPairSetFilter.Xor`

Constructor Summary
`OrthoPairSetFilter.ByTaxon(Taxon taxon)`

Method Summary
`boolean` `accept(OrthoPairSet group)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrthoPairSetFilter.ByTaxon

    public OrthoPairSetFilter.ByTaxon(Taxon taxon)

Method Detail

### accept

    public boolean accept(OrthoPairSet group)

  Specified by:
    `accept` in interface `OrthoPairSetFilter`